import { TableActionMethodOptions } from './decorators';
import { RowActionCheckFunction, TableRowActionMethod, TableRowActionTypeMethod, TableRowActionTypeSwitchMethod } from './types';
export declare function IsTableRowActionTypeSwitchMethod<Data extends Record<string, any>>(method: TableRowActionMethod<Data>): method is TableRowActionTypeSwitchMethod<Data>;
export declare function IsTableRowActionTypeMethod<Data extends Record<string, any>>(type: string): (method: TableRowActionMethod<Data>) => method is TableRowActionTypeMethod<Data>;
export declare function HasTableRowActionCheckFunction(method: TableRowActionMethod<any>): boolean;
export declare function GetTableRowActionCheckFunction<Data extends Record<string, unknown> = Record<string, unknown>>(method: TableRowActionMethod<Data>): RowActionCheckFunction<Data>;
export declare function HasTableRowActionMetadata(method: TableRowActionMethod): boolean;
export declare function GetTableRowActionMetadata(method: TableRowActionMethod): TableActionMethodOptions;
